Bug 186748 - Hang/panic *with* irqpoll boot option
Hang/panic *with* irqpoll boot option
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 20:56 EST by Roland Roberts
Modified: 2008-02-05 08:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (39.89 KB, text/plain)
2007-08-05 12:06 EDT, Dan Bolser
no flags Details

  None (edit)
Description Roland Roberts 2006-03-25 20:56:32 EST
Description of problem:
System fails to boot *with* irqpoll option.  I added irqpoll because I was
getting the "nobody cared" message with IRQ 11 (sound card).  System would not
reboot with the parameter.

Sometimes I would get a CPU spinlock message before/during the hang, sometimes
nothing.

Version-Release number of selected component (if applicable):
2.6.15-1.2054_FC5smp #1 SMP

How reproducible:
3 times straight...

Steps to Reproduce:
1. add irqpoll to the grub boot line.
2. reboot.
3.
  
Actual results:
System hang, sometimes with cpu spinlock message, once with kernel panic
message, once with no message.

Expected results:
Clean boot....

Additional info:
Some hardware info:

264 root> lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 1a)
00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 1a)
00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
00:08.0 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
00:08.1 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
00:0a.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
00:0b.0 FireWire (IEEE 1394): NEC Corporation uPD72874 IEEE1394 OHCI 1.1 3-port
PHY-Link Ctrlr (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV200 QW [Radeon
7500]
265 root>
265 root> cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Intel(R) Pentium(R) III CPU family      1400MHz
stepping        : 1
cpu MHz         : 1399.744
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips        : 2803.18

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Intel(R) Pentium(R) III CPU family      1400MHz
stepping        : 1
cpu MHz         : 1399.744
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips        : 2799.28

System has 1GB RAM, no floppy....

System was upgraded from RH9 less than 48 hours ago.  RH9 had been on the systme
for 2+ years and displayed no problems.  It could be some hardware decided to go
belly up just now, but....
Comment 1 Dave Jones 2006-10-16 17:48:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:15:51 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 3 Dan Bolser 2007-08-05 12:06:02 EDT
Created attachment 160715 [details]
scsconfig.log

scsconfig.log
Comment 4 Dan Bolser 2007-08-05 12:07:20 EDT
I found a similar issue in F7

uname -a 
Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007
i686 athlon i386 GNU/Linux

I booted with the "irqpoll" option because of a similar problem;

Message from syslogd@ at Sun Aug  5 17:38:14 2007 ...
localhost kernel: Disabling IRQ #17
Message from syslogd@ at Sun Aug  5 17:38:31 2007 ...
localhost kernel: Disabling IRQ #10

(sound card).

After adding this option I was able to boot OK, but got a 'system hang' after
running for 10 mins or so... (everything froze and caps lock failed to work.)

From dmesg (during a 'non fatal' failure without irqpoll);

irq 17: nobody cared (try booting with the "irqpoll" option)
 [<c0454942>] __report_bad_irq+0x36/0x75
 [<c0454b2f>] note_interrupt+0x1ae/0x1eb
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c04552ad>] handle_fasteoi_irq+0x78/0x98
 [<c0407203>] do_IRQ+0xb8/0xd1
 [<c040592b>] common_interrupt+0x23/0x28
 [<f0a9ed26>] snd_via686_interrupt+0x1/0xc7 [snd_via82xx]
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c0455299>] handle_fasteoi_irq+0x64/0x98
 [<c0455235>] handle_fasteoi_irq+0x0/0x98
 [<c04071f7>] do_IRQ+0xac/0xd1
 [<c0407bc4>] do_syscall_trace+0x2f/0xc2
 [<c040592b>] common_interrupt+0x23/0x28
 =======================
handlers:
[<f09cd8ae>] (irq_handler+0x0/0x19c [firewire_ohci])
Disabling IRQ #17
irq 10: nobody cared (try booting with the "irqpoll" option)
 [<c0454942>] __report_bad_irq+0x36/0x75
 [<c0454b2f>] note_interrupt+0x1ae/0x1eb
 [<f12b3395>] nv_kern_isr+0x52/0x66 [nvidia]
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c04552ad>] handle_fasteoi_irq+0x78/0x98
 [<c0455235>] handle_fasteoi_irq+0x0/0x98
 [<c04071f7>] do_IRQ+0xac/0xd1
 [<c04399ed>] hrtimer_start+0xe6/0xf0
 [<c0403d1c>] default_idle+0x0/0x3e
 [<c040592b>] common_interrupt+0x23/0x28
 [<c0403d1c>] default_idle+0x0/0x3e
 [<c0403d48>] default_idle+0x2c/0x3e
 [<c04033c9>] cpu_idle+0x96/0xb7
 [<c072aa8e>] start_kernel+0x316/0x31e
 [<c072a227>] unknown_bootoption+0x0/0x202
 =======================
handlers:
[<f0a9ed25>] (snd_via686_interrupt+0x0/0xc7 [snd_via82xx])
Disabling IRQ #10

Attached is scsconfig.log

Comment 5 Jon Stanley 2008-02-05 08:35:31 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.